Zum Hauptinhalt springen
POST
/
audio
/
retrieve
/api/v1/audio/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 20000,
  "execution_duration": 5200
}
Verwenden Sie die von /audio/queue zurückgegebene queue_id, um den Status der Generierung zu prüfen. Wenn die Anfrage abgeschlossen ist, gibt dieser Endpoint die generierten Audiodaten zurück.

Postman-Collection

Weitere Beispiele finden Sie in dieser Postman-Collection.

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
string
erforderlich

The ID of the model used for audio generation.

Beispiel:

"elevenlabs-music"

queue_id
string
erforderlich

The ID of the audio generation request. Use this to poll for status and retrieve the result.

Beispiel:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
Standard:false

If true, the audio media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the audio.

Beispiel:

false

Antwort

Audio generation status or completed audio

status
enum<string>
erforderlich

The status of the audio generation request.

Verfügbare Optionen:
PROCESSING
Beispiel:

"PROCESSING"

average_execution_time
number
erforderlich

The estimated execution time of the audio generation request in milliseconds (P80).

Beispiel:

20000

execution_duration
number
erforderlich

The current duration of the audio generation request in milliseconds.

Beispiel:

5200